#! /bin/sh

currentPath=`pwd`
path=$currentPath/`dirname $0`

cd $path

# remove the deps directory if it exists
# necessary when some directories are moved
rm -fr obj/src/.deps
# remove the gen directory too
rm -fr gen

cd ../src

java -classpath ../build/modgen.jar generator.Main -config $NOMAD_MODULE_CONFIG

cd $path

# the sequence of commands to execute (the order is important)
libtoolize --force				&& \
aclocal -I m4 --install			&& \
autoconf						&& \
autoheader						&& \
automake --gnu --add-missing	&&\


export CXXFLAGS="-Wall -Wconversion -O2 -g -pthread"

if [ -d "/usr/local/src/boost" ]
then
# SUSE
./configure --prefix=`pwd` --with-boost="/usr/local/src/boost" LIBS=-lboost_system
else
./configure --prefix=`pwd`
fi

