/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef QE65000DRIVER_H_
#define QE65000DRIVER_H_

#include <Driver.h>

namespace oceanoptics {

class QE65000Driver : public DeviceDriver {

public:
	static const std::string TYPE;
	Property<int32> integrationTime;

	ArrayProperty<float64> yData;
	ArrayProperty<float64> xData;

	QE65000Driver(const std::string& name);
	virtual ~QE65000Driver();

	virtual void execute(const std::string& aCommand);
};

}

#endif /* QE65000DRIVER_H_ */
